Subject: Re: [-next July 9 - s390 ] Badness at fs/sysfs/symlink.c:82 during qeth initalization

From: Greg KH <[email-masked]>
Date: Fri, 9 Jul 2010 08:59:41 -0700

On Fri, Jul 09, 2010 at 05:33:26PM +0200, Martin Schwidefsky wrote:
> On Fri, 9 Jul 2010 07:28:18 -0700
> Greg KH <[email-masked]> wrote:
> 
> > On Fri, Jul 09, 2010 at 03:57:00PM +0530, Sachin Sant wrote:
> > > Eric W. Biederman wrote:
> > >>> With today's next(20100709) qeth interface fails to initialize
> > >>> with following Badness message:
> > >>>     sysfs: symlink across ns_types 0.0.6000/net:eth0 -> net/eth0
> > >>>     
> > >>
> > >> Is this with CONFIG_SYSFS_DEPRECATED set?
> > >>
> > >> I think I may have made my warning check a little extra strict.
> > >>   
> > > Yes.
> > >
> > > CONFIG_SYSFS_DEPRECATED=y
> > > CONFIG_SYSFS_DEPRECATED_V2=y
> > 
> > Why do you have those options enabled?  Does your userspace really
> > require them?  I want to remove those options soon, and it would be good
> > to find out what is still relying on them.
> > 
> > If you disable those options, does it then work?
> 
> The default configuration for s390 does not have the options enabled and
> with a recent userspace everything works just fine. From my point of view
> the two options can be removed.

Wonderful, thanks for letting me know.

Sachin, care to disable them in your image as well?

thanks,

greg k-h